#ifndef R2C2_3D_AXLE_H_
#define R2C2_3D_AXLE_H_

#include <msp/gl/objectinstance.h>
#include "libr2c2/vehicle.h"
#include "vehiclepart.h"

namespace R2C2 {

class Axle3D: public VehiclePart3D
{
private:
	const Vehicle::Bogie *bogie;
	const Vehicle::Axle &axle;

public:
	Axle3D(const Vehicle3D &, unsigned);

	virtual void update_matrix();
};

} // namespace R2C2

#endif
