#ifndef CLOCKWIDGET_H_
#define CLOCKWIDGET_H_

#include <msp/gltk/widget.h>
#include "libr2c2/clock.h"

class ClockWidget: public Msp::GLtk::Widget
{
private:
	R2C2::Clock &clock;
	Msp::GL::Mesh hour_hand;
	Msp::GL::Mesh minute_hand;

public:
	ClockWidget(R2C2::Clock &);

	virtual const char *get_class() const { return "clock"; }

private:
	virtual void rebuild_special(const Msp::GLtk::Part &);
	virtual void render_special(const Msp::GLtk::Part &, Msp::GL::Renderer &) const;
};

#endif
