#ifndef R2C2_3D_SKY_H_
#define R2C2_3D_SKY_H_

#include <msp/gl/objectinstance.h>
#include <msp/gl/programdata.h>
#include <msp/gl/renderable.h>

namespace R2C2 {

class Catalogue3D;

class Sky3D: public Msp::GL::ObjectInstance
{
private:
	mutable Msp::GL::ProgramData shdata;

public:
	Sky3D(Catalogue3D &);

private:
	virtual void setup_render(Msp::GL::Renderer &, const Msp::GL::Tag &) const;
};

} // namespace R2C2

#endif
